<?php
/**
 * Excerpt options
 *
 * @package Theme Palace
 * @subpackage  Onjob
 * @since  Onjob 1.0.0
 */

// Add excerpt section
$wp_customize->add_section( 'onjob_excerpt_section',
	array(
		'title'             => esc_html__( 'Excerpt','onjob' ),
		'description'       => esc_html__( 'Excerpt section options.', 'onjob' ),
		'panel'             => 'onjob_theme_options_panel',
	)
);


// long Excerpt length setting and control.
$wp_customize->add_setting( 'onjob_theme_options[long_excerpt_length]',
	array(
		'sanitize_callback' => 'onjob_sanitize_number_range',
		'validate_callback' => 'onjob_validate_long_excerpt',
		'default'			=> $options['long_excerpt_length'],
	)
);

$wp_customize->add_control( 'onjob_theme_options[long_excerpt_length]',
	array(
		'label'       		=> esc_html__( 'Blog Page Excerpt Length', 'onjob' ),
		'description' 		=> esc_html__( 'Total words to be displayed in archive page/search page.', 'onjob' ),
		'section'     		=> 'onjob_excerpt_section',
		'type'        		=> 'number',
		'input_attrs' 		=> array(
			'style'       => 'width: 80px;',
			'max'         => 100,
			'min'         => 5,
		),
	)
);
